//cookie缓存用户信息
function setCookie(cName, cValue, iDay)
{
    var oDate=new Date();
    oDate.setDate(oDate.getDate()+iDay); //用来设置过期时间用的，获取当前时间加上传进来的iDay就是过期时间
    document.cookie=cName+'='+cValue+';expires='+oDate;
};
function getCookie(cName)
{
    var arr=document.cookie.split('; '); //多个cookie值是以; 分隔的，用split把cookie分割开并赋值给数组
    for(var i=0;i<arr[i].length;i++) //历遍数组
    {
        var arr2=arr[i].split('='); 
        if(arr2[0]==cName) //如果数组的属性名等于传进来的cName
        {
            return arr2[1]; //就返回属性名对应的值
        }
        return ''; //没找到就返回空
    }
};
window.onload=function()
{
    var userCenter = document.getElementsByName('userCenter');
    var userInfo = document.getElementsByName('userInfo')[0];
    userCenter.onsubmit=function()
    {
        setCookie('user', userInfo.value, 14);
    };
    userInfo.value=getCookie('user');
};
function removeCookie(cName)
{
    setCookie(cName, 1, -1); //-1就是告诉系统已经过期，系统就会立刻去删除cookie
};


//用户登录验证
function reg() {
    var userName = document.getElementById("username"); //用戶名稱
    var pwd = document.getElementById("password");	//用戶密碼
    if (userName.value == "") {
        alert("请输入用户名");
        username.focus();
        return;
    }
    if (pwd.value == "") {
        alert("请输入密码");
        return;
    }
    //用户异步请求登录
    $.ajax({
        type: "POST",  //提交方式
        url: "",//路径
        data: {"username": userName, "xgType": pwd},//数据，这里使用的是Json格式进行传输
        dataType: 'json',
        success: function (result) {//返回数据根据结果进行相应的处理
            alert(data.username);
            if (userName == data.username && userName == data.xgType){
                location.href ="usercenter.html";
            }else {
                alert("请检查密码是否正确");
            }
        }
    });
}
reg();


